Updates a User using SCIM patch semantics.
- A maximum of 20 operations is supported per User patch request.
HTTP request
PATCH https://cloudidentityscim.googleapis.com/v1beta1/customers/{customerId}/v2/Users/{userId}
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
customerId |
Required. The unique identifier for the customer in Cloud Identity. The customer ID is an alphanumeric string that begins with the letter |
userId |
Required. The unique, service-assigned identifier for the user resource in Cloud Identity. This value is the same as the |
Request body
The request body contains an instance of PatchBody.
Response body
If successful, the response body is an empty JSON object.
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/admin.directory.user
For more information, see the Authorization guide.